%define srcname python-augeas
%define modname augeas

# Noarch python module but with archful dependency
%define debug_package %nil

Name:		python-%{modname}
Version:	1.1.0
Release:	%mkrel 6
Summary:	Python bindings for augeas
Group:		Development/Python
License:	LGPLv2+
Url:		https://augeas.net/
Source0:	%{pypi_source}
BuildRequires:	pkgconfig(augeas)

%description
python-augeas is a set of Python bindings around augeas.

%package -n     python3-%{modname}
Summary:	Python bindings to augeas for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:	python3dist(setuptools)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(cffi)

Requires:	%{_lib}augeas0

%description -n python3-%{modname}
python3-augeas is a set of Python 3 bindings around augeas.

%prep
%autosetup -p1

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

# not needed?
rm -rf %{buildroot}%{python3_sitelib}/test/

%files -n python3-%{modname}
%license COPYING
%doc AUTHORS README.txt
%{python3_sitelib}/augeas.py
%{python3_sitelib}/augeas/
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/__pycache__/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.1.0-6.mga10
+ Revision: 2242296
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 1.1.0-5.mga10
+ Revision: 2159600
- rebuild for python3.13

* Fri Dec 29 2023 tv <tv> 1.1.0-4.mga10
+ Revision: 2023463
- Rebuild for python-3.12

* Mon Mar 28 2022 umeabot <umeabot> 1.1.0-3.mga9
+ Revision: 1829630
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.1.0-2.mga9
+ Revision: 1785766
- rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 1.1.0-1.mga9
+ Revision: 1742914
- drop bundled egg-info
- fix file list
- new version 1.1.0

* Tue Mar 23 2021 daviddavid <daviddavid> 1.0.3-8.mga9
+ Revision: 1708099
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.3-7.mga8
+ Revision: 1533125
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.0.3-6.mga8
+ Revision: 1443585
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 1.0.3-5.mga7
+ Revision: 1350695
- Rebuild for Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-4.mga7
+ Revision: 1300442
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 daviddavid <daviddavid> 1.0.3-3.mga7
+ Revision: 1223808
- provides also python-augeas

* Sun Apr 15 2018 kekepower <kekepower> 1.0.3-2.mga7
+ Revision: 1219023
- Rename python-augeas to python2-augeas
- Use python_provide

* Sun Nov 05 2017 mitya <mitya> 1.0.3-1.mga7
+ Revision: 1175981
- New version 1.0.3
- Removed patch #0 (merged upstream)

* Sun Aug 06 2017 philippem <philippem> 1.0.2-4.mga7
+ Revision: 1137610
- fix file list
+ pterjan <pterjan>
- Rebuild for python 3.6

* Tue May 30 2017 mitya <mitya> 1.0.2-3.mga6
+ Revision: 1105630
- Apply GitHub PR #27 to fix certbot-apache

* Sun May 28 2017 akien <akien> 1.0.2-2.mga6
+ Revision: 1105323
- Fix bogus BuildRequires and i586 Requires
- Make package archful to allow proper %%{_lib}augeas0 dependency

* Wed May 24 2017 mitya <mitya> 1.0.2-1.mga6
+ Revision: 1104437
- New version 1.0.2
- New version 1.0.2

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-7.mga6
+ Revision: 970565
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 spuhler <spuhler> 0.5.0-6.mga6
+ Revision: 887207
- updated %%{python3_sitelib}/__pycache__/augeas.cpython-34.* to 35.*
- rebuild with new python-3.5

* Sun Sep 13 2015 spuhler <spuhler> 0.5.0-5.mga6
+ Revision: 878979
- added the __pycache__ files for python3
- build per new python policy
- updated the py macros

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 744400
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.0-3.mga5
+ Revision: 728088
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-2.mga5
+ Revision: 687894
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 spuhler <spuhler> 0.5.0-1.mga5
+ Revision: 672888
- upgrade to version 0.5.0
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.1-5.mga4
+ Revision: 542961
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.1-4.mga4
+ Revision: 498139
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 378478
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 spuhler <spuhler> 0.4.1-2.mga3
+ Revision: 286847
- changed Requires: libaugeas-devel to auges-devel to make it arch independent

* Mon Jul 16 2012 spuhler <spuhler> 0.4.1-1.mga3
+ Revision: 271161
- upgrade to 0.4.1
- imported package python-augeas


* Tue Jan 25 2011 Guilherme Moro <guilherme@mandriva.com> 0.4.0-1mdv2011.0
+ Revision: 632650
- Initial import of the package
- Created package structure for python-augeas.

